# hw_api::parents

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api::parents — Returns parents of an object

### Description

hw_api::parents ( array `$parameter` ) : array

Retrieves the parents of an object. The parents can be further filtered by specifying an object query.

### Parameters

`parameter`

  The parameter array contains the required elements 'objectidentifier' and the optional elements 'attributeselector' and 'objectquery'.

### Return Values

The return value is an array of objects of type HW_API_Object or HW_API_Error.

### See Also

- hw_api::children